<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Hausmeister\Raumbelegung\Raumdetails\RaumGrafik;

use Kufer\Web\KuferTools\Utils\FilterSettings\IFilterSettings;
use Kufer\Web\KuferTools\Utils\FilterSettings\Kursorte\KursorteFilterSettingsHelper;

class RaumGrafikUseCase extends \Kufer\KuferTools\Basis\Raumbelegung\Raumdetails\RaumGrafik\RaumGrafikUseCase
{
  public static function getToolId()
  {
    return \ToolsAPI::TOOL_RAUMBELEGUNG_HM;
  }

  public static function getToolSectionId()
  {
    return 18;
  }

  protected function createFilterSettings(): IFilterSettings
  {
    return KursorteFilterSettingsHelper::createHausmeisterRaumUebersicht($this->getUser(), $this->toolSettings);
  }

  
  protected function getKursIdsAry4ToolKursplanungMA()
  {
    return array();
  }

  
  protected function getKursDetailsLink($pKnr, $pKursDetailsAllowed, $pReferer, $pRefererLabel)
  {
    $kursDetailsLink = '';
    if ($pKursDetailsAllowed) {
      $kursDetailsLink = 'index.php?tool_id=5&action=kursdetails&rnr=' . $this->request->raumNr
            . '&knr=' . $pKnr . '&referer=' . $pReferer . '&refererLabel=' . $pRefererLabel;
      
    }

    return $kursDetailsLink;
  }

  
  protected function isKursDetailsAllowed()
  {
    $rechteAry = array_map(function($val) { return "341.$val"; }, range(1.1, 1.5, .1));

    return ($this->isRechtAllowed('18.0.1') && \ToolsAPI::rechteOR($rechteAry, $this->getToolId()));
  }
}